# azure.mgmt.cdn package

## Submodules

- azure.mgmt.cdn.models module
- azure.mgmt.cdn.operations module

## Module contents

class `azure.mgmt.cdn.``CdnManagementClient`(credentials, subscription_id, api_version='2016-04-02', accept_language='en-US', long_running_operation_retry_timeout=30, generate_client_request_id=True, base_url=None, filepath=None)

  Bases: `object`

  Use these APIs to manage Azure CDN resources through the Azure Resource Manager. You must make sure that requests made to these resources are secure. For more information, see &lt;a href=”https://msdn.microsoft.com/en-us/library/azure/dn790557.aspx”&gt;Authenticating Azure Resource Manager requests.&lt;/a&gt;

  Variables:

  - config (CdnManagementClientConfiguration) – Configuration for client.
  - profiles (operations.ProfilesOperations) – Profiles operations
  - endpoints (operations.EndpointsOperations) – Endpoints operations
  - origins (operations.OriginsOperations) – Origins operations
  - custom_domains (operations.CustomDomainsOperations) – CustomDomains operations
  - name_availability (operations.NameAvailabilityOperations) – NameAvailability operations
  - operations (operations.OperationsOperations) – Operations operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Azure Subscription ID.
  - api_version (str) – Version of the API to be used with the client request. Current version is 2016-04-02
  - accept_language (str) – Gets or sets the preferred language for the response.
  - long_running_operation_retry_timeout (int) – Gets or sets the retry timeout in seconds for Long Running Operations. Default value is 30.
  - generate_client_request_id (bool) – When set to true a unique x-ms-client-request-id value is generated and included in each request. Default is true.
  - base_url (str) – Service URL
  - filepath (str) – Existing config